generate: parser.tab.cc lexer.yy.cc parser.tab.h

all: parser

parser.tab.cc parser.tab.h:	parser.y
	@echo Generating $@...
	bison --defines=parser.tab.h -o parser.tab.cc parser.y

lexer.yy.cc: lexer.l parser.tab.h
	@echo Generating $@...
	flex -o lexer.yy.cc lexer.l

parser: generate
	g++ -o parser parser.tab.cc lexer.yy.cc

clean:
	rm -f parser parser.tab.cc lexer.yy.cc parser.tab.h
